package com.sqx.modules.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.errand.entity.Feedback;
import com.sqx.modules.goods.entity.GoodsShop;
import com.sqx.modules.shop.dto.ShopAuditDTO;
import com.sqx.modules.shop.dto.ShopAuditUpdateDTO;

import java.math.BigDecimal;

public interface ShopMessageService extends IService<GoodsShop> {

    Result insertShopAuthentication(GoodsShop goodsShop);

    Result auditShopAuthentication(Long shopId, ShopAuditDTO dto);

    Result selectShopMessage(Long shopId);

    GoodsShop selectShopId(Long shopId);

    Result selectShopList(Integer page, Integer limit, String shopName, Integer status, Integer shopType);

    Result shopEarnings(Long shopId);

    Result updateShopMessage(GoodsShop goodsShop);

    Result shopHomePage(Long shopId, String startTime, String endTime);

    Result shopRefundCashDeposit(Long shopId);

    Result selectShopAuthentication(String phone, String msg);

    Result sendMsg(String phone, String state);

    Result userFeedback(Feedback feedback);

    Result sendMsgs(String phone, String state);

    Result selectShopByUserId(Long userId);

    Result selectComplaint(Long shopId, Integer page, Integer limit);

    Result updateShopCashDeposit(Long shopId, BigDecimal money, Integer type);

    Result selectShopCashDepositList(Integer page, Integer limit, Long shopId);

    /**
     * 修改商户入驻申请
     * @param shopId 店铺id
     * @param dto 修改信息
     */
    void updateShopAuthentication(Long shopId, ShopAuditUpdateDTO dto);

    GoodsShop getShopInfoById(Long shopId);
}
